/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { EntityPropertyAsResponse } from "../definitions/EntityPropertyAsResponse";
export interface ChangedWorklogAsResponse {
    /**
     * Details of properties associated with the change.
     */
    properties?: Array<EntityPropertyAsResponse>;
    /**
     * The datetime of the change.
     */
    updatedTime?: number;
    /**
     * The ID of the worklog.
     */
    worklogId?: number;
}
//# sourceMappingURL=ChangedWorklogAsResponse.d.ts.map