/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ChangedWorklogAsResponse } from "../definitions/ChangedWorklogAsResponse";
export interface ChangedWorklogsAsResponse {
    lastPage?: boolean;
    /**
     * The URL of the next list of changed worklogs.
     */
    nextPage?: string;
    /**
     * The URL of this changed worklogs list.
     */
    self?: string;
    /**
     * The datetime of the first worklog item in the list.
     */
    since?: number;
    /**
     * The datetime of the last worklog item in the list.
     */
    until?: number;
    /**
     * Changed worklog list.
     */
    values?: Array<ChangedWorklogAsResponse>;
}
//# sourceMappingURL=ChangedWorklogsAsResponse.d.ts.map