/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JqlQueryClauseAsResponse } from "../definitions/JqlQueryClauseAsResponse";
export interface CompoundClauseAsResponse {
    /**
     * The list of nested clauses.
     */
    clauses: Array<JqlQueryClauseAsResponse>;
    /**
     * The operator between the clauses.
     */
    operator: "and" | "or" | "not";
}
//# sourceMappingURL=CompoundClauseAsResponse.d.ts.map