/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BulkOperationErrorResultAsResponse } from "../definitions/BulkOperationErrorResultAsResponse";
import { CreatedIssueAsResponse } from "../definitions/CreatedIssueAsResponse";
export interface CreatedIssuesAsResponse {
    /**
     * Error details for failed issue creation requests.
     */
    errors?: Array<BulkOperationErrorResultAsResponse>;
    /**
     * Details of the issues created.
     */
    issues?: Array<CreatedIssueAsResponse>;
}
//# sourceMappingURL=CreatedIssuesAsResponse.d.ts.map