/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SharePermission } from "../definitions/SharePermission";
export interface DashboardDetails {
    /**
     * The description of the dashboard.
     */
    description?: string;
    /**
     * The edit permissions for the dashboard.
     */
    editPermissions: Array<SharePermission>;
    /**
     * The name of the dashboard.
     */
    name: string;
    /**
     * The share permissions for the dashboard.
     */
    sharePermissions: Array<SharePermission>;
}
//# sourceMappingURL=DashboardDetails.d.ts.map