/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface DefaultWorkflowAsResponse {
    /**
     * Whether a draft workflow scheme is created or updated when updating an active workflow scheme. The draft is updated with the new default workflow. Defaults to `false`.
     */
    updateDraftIfNeeded?: boolean;
    /**
     * The name of the workflow to set as the default workflow.
     */
    workflow: string;
}
//# sourceMappingURL=DefaultWorkflowAsResponse.d.ts.map