/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface FieldConfigurationAsResponse {
    /**
     * The description of the field configuration.
     */
    description: string;
    /**
     * The ID of the field configuration.
     */
    id: number;
    /**
     * Whether the field configuration is the default.
     */
    isDefault?: boolean;
    /**
     * The name of the field configuration.
     */
    name: string;
}
//# sourceMappingURL=FieldConfigurationAsResponse.d.ts.map