/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JqlQueryFieldAsResponse } from "../definitions/JqlQueryFieldAsResponse";
import { JqlQueryClauseOperandAsResponse } from "../definitions/JqlQueryClauseOperandAsResponse";
import { JqlQueryClauseTimePredicateAsResponse } from "../definitions/JqlQueryClauseTimePredicateAsResponse";
export interface FieldWasClauseAsResponse {
    field: JqlQueryFieldAsResponse;
    operand: JqlQueryClauseOperandAsResponse;
    /**
     * The operator between the field and operand.
     */
    operator: "was" | "was in" | "was not in" | "was not";
    /**
     * The list of time predicates.
     */
    predicates: Array<JqlQueryClauseTimePredicateAsResponse>;
}
//# sourceMappingURL=FieldWasClauseAsResponse.d.ts.map