/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FilterSubscriptionAsResponse } from "../definitions/FilterSubscriptionAsResponse";
export interface FilterSubscriptionsListAsResponse {
    /**
     * The index of the last item returned on the page.
     */
    "end-index"?: number;
    /**
     * The list of items.
     */
    items?: Array<FilterSubscriptionAsResponse>;
    /**
     * The maximum number of results that could be on the page.
     */
    "max-results"?: number;
    /**
     * The number of items on the page.
     */
    size?: number;
    /**
     * The index of the first item returned on the page.
     */
    "start-index"?: number;
}
//# sourceMappingURL=FilterSubscriptionsListAsResponse.d.ts.map