/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FoundGroupAsResponse } from "../definitions/FoundGroupAsResponse";
export interface FoundGroupsAsResponse {
    groups?: Array<FoundGroupAsResponse>;
    /**
     * Header text indicating the number of groups in the response and the total number of groups found in the search.
     */
    header?: string;
    /**
     * The total number of groups found in the search.
     */
    total?: number;
}
//# sourceMappingURL=FoundGroupsAsResponse.d.ts.map