/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface FunctionOperandAsResponse {
    /**
     * The list of function arguments.
     */
    arguments: Array<string>;
    /**
     * Encoded operand, which can be used directly in a JQL query.
     */
    encodedOperand?: string;
    /**
     * The name of the function.
     */
    function: string;
}
//# sourceMappingURL=FunctionOperandAsResponse.d.ts.map