/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface FunctionReferenceDataAsResponse {
    /**
     * The display name of the function.
     */
    displayName?: string;
    /**
     * Whether the function can take a list of arguments.
     */
    isList?: "true" | "false";
    /**
     * Whether the function supports both single and list value operators.
     */
    supportsListAndSingleValueOperators?: "true" | "false";
    /**
     * The data types returned by the function.
     */
    types?: Array<string>;
    /**
     * The function identifier.
     */
    value?: string;
}
//# sourceMappingURL=FunctionReferenceDataAsResponse.d.ts.map