/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface GroupNameAsResponse {
    /**
     * The ID of the group, which uniquely identifies the group across all Atlassian products. For example, *952d12c3-5b5b-4d04-bb32-44d383afc4b2*.
     */
    groupId?: string;
    /**
     * The name of group.
     */
    name?: string;
    /**
     * The URL for these group details.
     */
    self?: string;
}
//# sourceMappingURL=GroupNameAsResponse.d.ts.map