/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SimplifiedHierarchyLevelAsResponse } from "../definitions/SimplifiedHierarchyLevelAsResponse";
export interface HierarchyAsResponse {
    /**
     * The ID of the base level. This property is deprecated, see [Change notice: Removing hierarchy level IDs from next-gen APIs](https://developer.atlassian.com/cloud/jira/platform/change-notice-removing-hierarchy-level-ids-from-next-gen-apis/).
     */
    baseLevelId?: number;
    /**
     * Details about the hierarchy level.
     */
    levels?: Array<SimplifiedHierarchyLevelAsResponse>;
}
//# sourceMappingURL=HierarchyAsResponse.d.ts.map