/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface HistoryMetadataParticipantAsResponse {
    /**
     * The URL to an avatar for the user or system associated with a history record.
     */
    avatarUrl?: string;
    /**
     * The display name of the user or system associated with a history record.
     */
    displayName?: string;
    /**
     * The key of the display name of the user or system associated with a history record.
     */
    displayNameKey?: string;
    /**
     * The ID of the user or system associated with a history record.
     */
    id?: string;
    /**
     * The type of the user or system associated with a history record.
     */
    type?: string;
    /**
     * The URL of the user or system associated with a history record.
     */
    url?: string;
    [x: string]: any;
}
//# sourceMappingURL=HistoryMetadataParticipantAsResponse.d.ts.map