/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldReferenceDataAsResponse } from "../definitions/FieldReferenceDataAsResponse";
import { FunctionReferenceDataAsResponse } from "../definitions/FunctionReferenceDataAsResponse";
export interface JQLReferenceDataAsResponse {
    /**
     * List of JQL query reserved words.
     */
    jqlReservedWords?: Array<string>;
    /**
     * List of fields usable in JQL queries.
     */
    visibleFieldNames?: Array<FieldReferenceDataAsResponse>;
    /**
     * List of functions usable in JQL queries.
     */
    visibleFunctionNames?: Array<FunctionReferenceDataAsResponse>;
}
//# sourceMappingURL=JQLReferenceDataAsResponse.d.ts.map