/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { FieldsAsResponse } from "../definitions/FieldsAsResponse";
export interface LinkedIssueAsResponse {
    /**
     * The fields associated with the issue.
     */
    fields?: FieldsAsResponse;
    /**
     * The ID of an issue. Required if `key` isn't provided.
     */
    id?: string;
    /**
     * The key of an issue. Required if `id` isn't provided.
     */
    key?: string;
    /**
     * The URL of the issue.
     */
    self?: string;
}
//# sourceMappingURL=LinkedIssueAsResponse.d.ts.map