/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ChangelogAsResponse } from "../definitions/ChangelogAsResponse";
export interface PageOfChangelogsAsResponse {
    /**
     * The list of changelogs.
     */
    histories?: Array<ChangelogAsResponse>;
    /**
     * The maximum number of results that could be on the page.
     */
    maxResults?: number;
    /**
     * The index of the first item returned on the page.
     */
    startAt?: number;
    /**
     * The number of results on the page.
     */
    total?: number;
}
//# sourceMappingURL=PageOfChangelogsAsResponse.d.ts.map