/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CommentAsResponse } from "../definitions/CommentAsResponse";
export interface PageOfCommentsAsResponse {
    /**
     * The index of the first item returned.
     */
    startAt?: number;
    /**
     * The maximum number of items that could be returned.
     */
    maxResults?: number;
    /**
     * The number of items returned.
     */
    total?: number;
    /**
     * The list of comments.
     */
    comments?: Array<CommentAsResponse>;
    /**
     * The URL of the user.
     */
    self?: string;
    [x: string]: any;
}
//# sourceMappingURL=PageOfCommentsAsResponse.d.ts.map