/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarAsResponse } from "../definitions/AvatarAsResponse";
export interface ProjectAvatarsAsResponse {
    /**
     * List of avatars added to Jira. These avatars may be deleted.
     */
    custom?: Array<AvatarAsResponse>;
    /**
     * List of avatars included with Jira. These avatars cannot be deleted.
     */
    system?: Array<AvatarAsResponse>;
}
//# sourceMappingURL=ProjectAvatarsAsResponse.d.ts.map