/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssueTypeInfoAsResponse } from "../definitions/IssueTypeInfoAsResponse";
export interface ProjectIssueTypesHierarchyLevelAsResponse {
    /**
     * The ID of the issue type hierarchy level. This property is deprecated, see [Change notice: Removing hierarchy level IDs from next-gen APIs](https://developer.atlassian.com/cloud/jira/platform/change-notice-removing-hierarchy-level-ids-from-next-gen-apis/).
     */
    entityId?: string;
    /**
     * The list of issue types in the hierarchy level.
     */
    issueTypes?: Array<IssueTypeInfoAsResponse>;
    /**
     * The level of the issue type hierarchy level.
     */
    level?: number;
    /**
     * The name of the issue type hierarchy level.
     */
    name?: string;
}
//# sourceMappingURL=ProjectIssueTypesHierarchyLevelAsResponse.d.ts.map