/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ProjectTypeAsResponse {
    /**
     * The color of the project type.
     */
    color?: string;
    /**
     * The key of the project type's description.
     */
    descriptionI18nKey?: string;
    /**
     * The formatted key of the project type.
     */
    formattedKey?: string;
    /**
     * The icon of the project type.
     */
    icon?: string;
    /**
     * The key of the project type.
     */
    key?: string;
}
//# sourceMappingURL=ProjectTypeAsResponse.d.ts.map