/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
export interface ScreenAsResponse {
    /**
     * The description of the screen.
     */
    description?: string;
    /**
     * The ID of the screen.
     */
    id?: number;
    /**
     * The name of the screen.
     */
    name?: string;
    /**
     * The scope of the screen.
     */
    scope?: ScopeAsResponse;
}
//# sourceMappingURL=ScreenAsResponse.d.ts.map