/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ScopeAsResponse } from "../definitions/ScopeAsResponse";
import { StatusCategoryAsResponse } from "../definitions/StatusCategoryAsResponse";
export interface StatusDetailsAsResponse {
    /**
     * The description of the status.
     */
    description?: string;
    /**
     * The URL of the icon used to represent the status.
     */
    iconUrl?: string;
    /**
     * The ID of the status.
     */
    id?: string;
    /**
     * The name of the status.
     */
    name?: string;
    /**
     * The scope of the field.
     */
    scope?: ScopeAsResponse;
    /**
     * The URL of the status.
     */
    self?: string;
    /**
     * The category assigned to the status.
     */
    statusCategory?: StatusCategoryAsResponse;
    [x: string]: any;
}
//# sourceMappingURL=StatusDetailsAsResponse.d.ts.map