/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UpdateScreenTypes } from "../definitions/UpdateScreenTypes";
export interface UpdateScreenSchemeDetails {
    /**
     * The description of the screen scheme. The maximum length is 255 characters.
     */
    description?: string;
    /**
     * The name of the screen scheme. The name must be unique. The maximum length is 255 characters.
     */
    name?: string;
    /**
     * The IDs of the screens for the screen types of the screen scheme. Only screens used in classic projects are accepted.
     */
    screens?: UpdateScreenTypes;
}
//# sourceMappingURL=UpdateScreenSchemeDetails.d.ts.map