/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface VersionMoveBean {
    /**
     * The URL (self link) of the version after which to place the moved version. Cannot be used with `position`.
     */
    after?: string;
    /**
     * An absolute position in which to place the moved version. Cannot be used with `after`.
     */
    position?: "Earlier" | "Later" | "First" | "Last";
}
//# sourceMappingURL=VersionMoveBean.d.ts.map