/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserDetailsAsResponse } from "../definitions/UserDetailsAsResponse";
export interface WatchersAsResponse {
    /**
     * Whether the calling user is watching this issue.
     */
    isWatching?: boolean;
    /**
     * The URL of these issue watcher details.
     */
    self?: string;
    /**
     * The number of users watching this issue.
     */
    watchCount?: number;
    /**
     * Details of the users watching this issue.
     */
    watchers?: Array<UserDetailsAsResponse>;
}
//# sourceMappingURL=WatchersAsResponse.d.ts.map