/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WorkflowConditionAsResponse } from "../definitions/WorkflowConditionAsResponse";
export interface WorkflowCompoundConditionAsResponse {
    /**
     * The list of workflow conditions.
     */
    conditions: Array<WorkflowConditionAsResponse>;
    nodeType: string;
    /**
     * The compound condition operator.
     */
    operator: "AND" | "OR";
}
//# sourceMappingURL=WorkflowCompoundConditionAsResponse.d.ts.map