/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface WorkflowTransitionPropertyAsResponse {
    /**
     * The ID of the transition property.
     */
    id?: string;
    /**
     * The key of the transition property. Also known as the name of the transition property.
     */
    key?: string;
    /**
     * The value of the transition property.
     */
    value: string;
    [x: string]: any;
}
//# sourceMappingURL=WorkflowTransitionPropertyAsResponse.d.ts.map