/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ApplicationRoleAsResponse } from "../../definitions/ApplicationRoleAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetApplicationRolesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetApplicationRolesResponseOKType = Array<ApplicationRoleAsResponse>;
export interface GetApplicationRolesResponseOK extends GetApplicationRolesResponseOKType {
}
export declare type GetApplicationRolesResponseError = undefined;
export interface GetApplicationRoleRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the application role. Use the [Get all application roles](#api-rest-api-3-applicationrole-get) operation to get the key for each application role.
     */
    key: string;
}
declare type GetApplicationRoleResponseOKType = ApplicationRoleAsResponse;
export interface GetApplicationRoleResponseOK extends GetApplicationRoleResponseOKType {
}
export declare type GetApplicationRoleResponseError = undefined;
export {};
//# sourceMappingURL=role.d.ts.map