/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { DefaultShareScopeAsResponse } from "../../definitions/DefaultShareScopeAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { DefaultShareScope } from "../../definitions/DefaultShareScope";
export interface GetFiltersDefaultShareScopeRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetFiltersDefaultShareScopeResponseOKType = DefaultShareScopeAsResponse;
export interface GetFiltersDefaultShareScopeResponseOK extends GetFiltersDefaultShareScopeResponseOKType {
}
export declare type GetFiltersDefaultShareScopeResponseError = undefined;
export interface SetFiltersDefaultShareScopeRequest extends HeadersOption, ErrorStrategyOption {
    body: DefaultShareScope;
}
declare type SetFiltersDefaultShareScopeResponseOKType = DefaultShareScopeAsResponse;
export interface SetFiltersDefaultShareScopeResponseOK extends SetFiltersDefaultShareScopeResponseOKType {
}
export declare type SetFiltersDefaultShareScopeResponseError = undefined;
export {};
//# sourceMappingURL=share.d.ts.map