/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AttachmentMetadataAsResponse } from "../../../definitions/AttachmentMetadataAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AttachmentArchiveMetadataReadableAsResponse } from "../../../definitions/AttachmentArchiveMetadataReadableAsResponse";
import { AttachmentArchiveImplAsResponse } from "../../../definitions/AttachmentArchiveImplAsResponse";
export interface GetIssueAttachmentMetadataRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment.
     */
    id: string;
}
declare type GetIssueAttachmentMetadataResponseOKType = AttachmentMetadataAsResponse;
export interface GetIssueAttachmentMetadataResponseOK extends GetIssueAttachmentMetadataResponseOKType {
}
export declare type GetIssueAttachmentMetadataResponseError = undefined;
export interface GetMetadataForExpandedIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment.
     */
    id: string;
}
declare type GetMetadataForExpandedIssueAttachmentResponseOKType = AttachmentArchiveMetadataReadableAsResponse;
export interface GetMetadataForExpandedIssueAttachmentResponseOK extends GetMetadataForExpandedIssueAttachmentResponseOKType {
}
export declare type GetMetadataForExpandedIssueAttachmentResponseError = undefined;
export interface GetContentsMetadataForExpandedIssueAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment.
     */
    id: string;
}
declare type GetContentsMetadataForExpandedIssueAttachmentResponseOKType = AttachmentArchiveImplAsResponse;
export interface GetContentsMetadataForExpandedIssueAttachmentResponseOK extends GetContentsMetadataForExpandedIssueAttachmentResponseOKType {
}
export declare type GetContentsMetadataForExpandedIssueAttachmentResponseError = undefined;
export {};
//# sourceMappingURL=metadata.d.ts.map