/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ColumnItemAsResponse } from "../../definitions/ColumnItemAsResponse";
import { ErrorCollectionAsResponse } from "../../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIssueNavigatorDefaultColumnsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssueNavigatorDefaultColumnsResponseOKType = Array<ColumnItemAsResponse>;
export interface GetIssueNavigatorDefaultColumnsResponseOK extends GetIssueNavigatorDefaultColumnsResponseOKType {
}
declare type GetIssueNavigatorDefaultColumnsResponseErrorType = ErrorCollectionAsResponse & ErrorCollectionAsResponse;
export interface GetIssueNavigatorDefaultColumnsResponseError extends GetIssueNavigatorDefaultColumnsResponseErrorType {
}
export interface SetIssueNavigatorDefaultColumnsRequest extends HeadersOption, ErrorStrategyOption {
    body: {
        /**
         * The field IDs.
         */
        columns: Array<string>;
    };
}
export declare type SetIssueNavigatorDefaultColumnsResponseOK = any;
export declare type SetIssueNavigatorDefaultColumnsResponseError = undefined;
export {};
//# sourceMappingURL=navigator.d.ts.map