/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IssuesAndJQLQueries } from "../../definitions/IssuesAndJQLQueries";
import { IssueMatchesAsResponse } from "../../definitions/IssueMatchesAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SearchRequestBean } from "../../definitions/SearchRequestBean";
import { SearchResultsAsResponse } from "../../definitions/SearchResultsAsResponse";
import { SearchAndReconcileRequestBean } from "../../definitions/SearchAndReconcileRequestBean";
import { SearchAndReconcileResultsAsResponse } from "../../definitions/SearchAndReconcileResultsAsResponse";
export interface CheckIssuesAgainstJqlRequest extends HeadersOption, ErrorStrategyOption {
    body: IssuesAndJQLQueries;
}
declare type CheckIssuesAgainstJqlResponseOKType = IssueMatchesAsResponse;
export interface CheckIssuesAgainstJqlResponseOK extends CheckIssuesAgainstJqlResponseOKType {
}
export declare type CheckIssuesAgainstJqlResponseError = undefined;
export interface SearchIssuesByJqlRequest extends HeadersOption, ErrorStrategyOption {
    body: SearchRequestBean;
}
declare type SearchIssuesByJqlResponseOKType = SearchResultsAsResponse;
export interface SearchIssuesByJqlResponseOK extends SearchIssuesByJqlResponseOKType {
}
export declare type SearchIssuesByJqlResponseError = undefined;
export interface SearchIssuesByJqlEnhancedSearchRequest extends HeadersOption, ErrorStrategyOption {
    body: SearchAndReconcileRequestBean;
}
declare type SearchIssuesByJqlEnhancedSearchResponseOKType = SearchAndReconcileResultsAsResponse;
export interface SearchIssuesByJqlEnhancedSearchResponseOK extends SearchIssuesByJqlEnhancedSearchResponseOKType {
}
export declare type SearchIssuesByJqlEnhancedSearchResponseError = undefined;
export {};
//# sourceMappingURL=search.d.ts.map