/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SecuritySchemesAsResponse } from "../../../definitions/SecuritySchemesAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SecuritySchemeAsResponse } from "../../../definitions/SecuritySchemeAsResponse";
export interface GetIssueSecuritySchemesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssueSecuritySchemesResponseOKType = SecuritySchemesAsResponse;
export interface GetIssueSecuritySchemesResponseOK extends GetIssueSecuritySchemesResponseOKType {
}
export declare type GetIssueSecuritySchemesResponseError = undefined;
export interface GetIssueSecuritySchemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue security scheme. Use the [Get issue security schemes](#api-rest-api-3-issuesecurityschemes-get) operation to get a list of issue security scheme IDs.
     */
    id: number;
}
declare type GetIssueSecuritySchemeResponseOKType = SecuritySchemeAsResponse;
export interface GetIssueSecuritySchemeResponseOK extends GetIssueSecuritySchemeResponseOKType {
}
export declare type GetIssueSecuritySchemeResponseError = undefined;
export {};
//# sourceMappingURL=scheme.d.ts.map