/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VotesAsResponse } from "../../definitions/VotesAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIssueVotesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
}
declare type GetIssueVotesResponseOKType = VotesAsResponse;
export interface GetIssueVotesResponseOK extends GetIssueVotesResponseOKType {
}
export declare type GetIssueVotesResponseError = undefined;
export interface AddIssueVoteRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
}
export declare type AddIssueVoteResponseOK = any;
export declare type AddIssueVoteResponseError = undefined;
export interface DeleteIssueVoteRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the issue.
     */
    issueIdOrKey: string;
}
export declare type DeleteIssueVoteResponseOK = undefined;
export declare type DeleteIssueVoteResponseError = undefined;
export {};
//# sourceMappingURL=vote.d.ts.map