/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectIssueTypeHierarchyAsResponse } from "../../definitions/ProjectIssueTypeHierarchyAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetProjectIssueTypeHierarchyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the project.
     */
    projectId: number;
}
declare type GetProjectIssueTypeHierarchyResponseOKType = ProjectIssueTypeHierarchyAsResponse;
export interface GetProjectIssueTypeHierarchyResponseOK extends GetProjectIssueTypeHierarchyResponseOKType {
}
export declare type GetProjectIssueTypeHierarchyResponseError = undefined;
export {};
//# sourceMappingURL=issueType.d.ts.map