/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SecuritySchemeAsResponse } from "../../../definitions/SecuritySchemeAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetProjectIssueSecuritySchemeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project ID or project key (case sensitive).
     */
    projectKeyOrId: string;
}
declare type GetProjectIssueSecuritySchemeResponseOKType = SecuritySchemeAsResponse;
export interface GetProjectIssueSecuritySchemeResponseOK extends GetProjectIssueSecuritySchemeResponseOKType {
}
export declare type GetProjectIssueSecuritySchemeResponseError = undefined;
export {};
//# sourceMappingURL=scheme.d.ts.map