/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorCollectionAsResponse } from "../../definitions/ErrorCollectionAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface ValidateProjectKeyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project key.
     */
    key: string;
}
declare type ValidateProjectKeyResponseOKType = ErrorCollectionAsResponse;
export interface ValidateProjectKeyResponseOK extends ValidateProjectKeyResponseOKType {
}
export declare type ValidateProjectKeyResponseError = undefined;
export interface GetValidProjectKeyRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project key.
     */
    key: string;
}
export declare type GetValidProjectKeyResponseOK = string;
export declare type GetValidProjectKeyResponseError = undefined;
export interface GetValidProjectNameRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The project name.
     */
    name: string;
}
export declare type GetValidProjectNameResponseOK = string;
export declare type GetValidProjectNameResponseError = undefined;
export {};
//# sourceMappingURL=validation.d.ts.map