/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionIssueCountsAsResponse } from "../../../definitions/VersionIssueCountsAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { VersionUnresolvedIssuesCountAsResponse } from "../../../definitions/VersionUnresolvedIssuesCountAsResponse";
export interface GetProjectVersionRelatedIssueCountRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the version.
     */
    id: string;
}
declare type GetProjectVersionRelatedIssueCountResponseOKType = VersionIssueCountsAsResponse;
export interface GetProjectVersionRelatedIssueCountResponseOK extends GetProjectVersionRelatedIssueCountResponseOKType {
}
export declare type GetProjectVersionRelatedIssueCountResponseError = undefined;
export interface GetProjectVersionUnresolvedIssueCountRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the version.
     */
    id: string;
}
declare type GetProjectVersionUnresolvedIssueCountResponseOKType = VersionUnresolvedIssuesCountAsResponse;
export interface GetProjectVersionUnresolvedIssueCountResponseOK extends GetProjectVersionUnresolvedIssueCountResponseOKType {
}
export declare type GetProjectVersionUnresolvedIssueCountResponseError = undefined;
export {};
//# sourceMappingURL=count.d.ts.map