/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContainerOfWorkflowSchemeAssociationsAsResponse } from "../../../definitions/ContainerOfWorkflowSchemeAssociationsAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { WorkflowSchemeProjectAssociation } from "../../../definitions/WorkflowSchemeProjectAssociation";
export interface GetWorkflowSchemeProjectAssociationsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of a project to return the workflow schemes for. To include multiple projects, provide an ampersand-Jim: oneseparated list. For example, `projectId=10000&projectId=10001`.
     */
    projectId: Array<number>;
}
declare type GetWorkflowSchemeProjectAssociationsResponseOKType = ContainerOfWorkflowSchemeAssociationsAsResponse;
export interface GetWorkflowSchemeProjectAssociationsResponseOK extends GetWorkflowSchemeProjectAssociationsResponseOKType {
}
export declare type GetWorkflowSchemeProjectAssociationsResponseError = undefined;
export interface AssignWorkflowSchemeToProjectRequest extends HeadersOption, ErrorStrategyOption {
    body: WorkflowSchemeProjectAssociation;
}
export declare type AssignWorkflowSchemeToProjectResponseOK = any;
export declare type AssignWorkflowSchemeToProjectResponseError = undefined;
export {};
//# sourceMappingURL=project.d.ts.map