/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { StatusCategoryAsResponse } from "../../../definitions/StatusCategoryAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetWorkflowStatusCategoriesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetWorkflowStatusCategoriesResponseOKType = Array<StatusCategoryAsResponse>;
export interface GetWorkflowStatusCategoriesResponseOK extends GetWorkflowStatusCategoriesResponseOKType {
}
export declare type GetWorkflowStatusCategoriesResponseError = undefined;
export interface GetWorkflowStatusCategoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or key of the status category.
     */
    idOrKey: string;
}
declare type GetWorkflowStatusCategoryResponseOKType = StatusCategoryAsResponse;
export interface GetWorkflowStatusCategoryResponseOK extends GetWorkflowStatusCategoryResponseOKType {
}
export declare type GetWorkflowStatusCategoryResponseError = undefined;
export {};
//# sourceMappingURL=category.d.ts.map