/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface ActorsMap {
    /**
     * The name of the group to add. This parameter cannot be used with the `groupId` parameter. As a group's name can change, use of `groupId` is recommended.
     */
    group?: Array<string>;
    /**
     * The ID of the group to add. This parameter cannot be used with the `group` parameter.
     */
    groupId?: Array<string>;
    /**
     * The user account ID of the user to add.
     */
    user?: Array<string>;
}
//# sourceMappingURL=ActorsMap.d.ts.map