/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BulkProjectPermissionGrantsAsResponse } from "../definitions/BulkProjectPermissionGrantsAsResponse";
export interface BulkPermissionGrantsAsResponse {
    /**
     * List of permissions granted to the user.
     */
    globalPermissions: Array<string>;
    /**
     * List of project permissions and the projects and issues those permissions provide access to.
     */
    projectPermissions: Array<BulkProjectPermissionGrantsAsResponse>;
}
//# sourceMappingURL=BulkPermissionGrantsAsResponse.d.ts.map