/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JQLQueryWithUnknownUsersAsResponse } from "../definitions/JQLQueryWithUnknownUsersAsResponse";
export interface ConvertedJQLQueriesAsResponse {
    /**
     * List of queries containing user information that could not be mapped to an existing user
     */
    queriesWithUnknownUsers?: Array<JQLQueryWithUnknownUsersAsResponse>;
    /**
     * The list of converted query strings with account IDs in place of user identifiers.
     */
    queryStrings?: Array<string>;
}
//# sourceMappingURL=ConvertedJQLQueriesAsResponse.d.ts.map