/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface CreateCustomFieldContextAsResponse {
    /**
     * The description of the context.
     */
    description?: string;
    /**
     * The ID of the context.
     */
    id?: string;
    /**
     * The list of issue types IDs for the context. If the list is empty, the context refers to all issue types.
     */
    issueTypeIds?: Array<string>;
    /**
     * The name of the context.
     */
    name: string;
    /**
     * The list of project IDs associated with the context. If the list is empty, the context is global.
     */
    projectIds?: Array<string>;
}
//# sourceMappingURL=CreateCustomFieldContextAsResponse.d.ts.map