/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface CustomFieldOptionCreate {
    /**
     * Whether the option is disabled.
     */
    disabled?: boolean;
    /**
     * For cascading options, the ID of a parent option.
     */
    optionId?: string;
    /**
     * The value of the custom field option.
     */
    value: string;
}
//# sourceMappingURL=CustomFieldOptionCreate.d.ts.map