/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupNameAsResponse } from "../definitions/GroupNameAsResponse";
import { UserAsResponse } from "../definitions/UserAsResponse";
export interface FilterSubscriptionAsResponse {
    /**
     * The group subscribing to filter.
     */
    group?: GroupNameAsResponse;
    /**
     * The ID of the filter subscription.
     */
    id?: number;
    /**
     * The user subscribing to filter.
     */
    user?: UserAsResponse;
}
//# sourceMappingURL=FilterSubscriptionAsResponse.d.ts.map