/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { UserPickerUserAsResponse } from "../definitions/UserPickerUserAsResponse";
export interface FoundUsersAsResponse {
    /**
     * Header text indicating the number of users in the response and the total number of users found in the search.
     */
    header?: string;
    /**
     * The total number of users found in the search.
     */
    total?: number;
    users?: Array<UserPickerUserAsResponse>;
}
//# sourceMappingURL=FoundUsersAsResponse.d.ts.map