/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProjectIssueCreateMetadataAsResponse } from "../definitions/ProjectIssueCreateMetadataAsResponse";
export interface IssueCreateMetadataAsResponse {
    /**
     * Expand options that include additional project details in the response.
     */
    expand?: string;
    /**
     * List of projects and their issue creation metadata.
     */
    projects?: Array<ProjectIssueCreateMetadataAsResponse>;
}
//# sourceMappingURL=IssueCreateMetadataAsResponse.d.ts.map