/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { JqlQueryFieldEntityPropertyAsResponse } from "../definitions/JqlQueryFieldEntityPropertyAsResponse";
export interface JqlQueryFieldAsResponse {
    /**
     * The encoded name of the field, which can be used directly in a JQL query.
     */
    encodedName?: string;
    /**
     * The name of the field.
     */
    name: string;
    /**
     * When the field refers to a value in an entity property, details of the entity property value.
     */
    property?: Array<JqlQueryFieldEntityPropertyAsResponse>;
}
//# sourceMappingURL=JqlQueryFieldAsResponse.d.ts.map