/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GroupName } from "../definitions/GroupName";
import { RestrictedPermission } from "../definitions/RestrictedPermission";
export interface NotificationRecipientsRestrictions {
    /**
     * List of groupId memberships required to receive the notification.
     */
    groupIds?: Array<string>;
    /**
     * List of group memberships required to receive the notification.
     */
    groups?: Array<GroupName>;
    /**
     * List of permissions required to receive the notification.
     */
    permissions?: Array<RestrictedPermission>;
}
//# sourceMappingURL=NotificationRecipientsRestrictions.d.ts.map