/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface SecurityLevelAsResponse {
    /**
     * The description of the issue level security item.
     */
    description?: string;
    /**
     * The ID of the issue level security item.
     */
    id?: string;
    /**
     * Whether the issue level security item is the default.
     */
    isDefault?: boolean;
    /**
     * The ID of the issue level security scheme.
     */
    issueSecuritySchemeId?: string;
    /**
     * The name of the issue level security item.
     */
    name?: string;
    /**
     * The URL of the issue level security item.
     */
    self?: string;
}
//# sourceMappingURL=SecurityLevelAsResponse.d.ts.map