/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { Icon } from "../definitions/Icon";
export interface Status {
    /**
     * Details of the icon representing the status. If not provided, no status icon displays in Jira.
     */
    icon?: Icon;
    /**
     * Whether the item is resolved. If set to "true", the link to the issue is displayed in a strikethrough font, otherwise the link displays in normal font.
     */
    resolved?: boolean;
    [x: string]: any;
}
//# sourceMappingURL=Status.d.ts.map