/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface VersionIssuesStatusAsResponse {
    /**
     * Count of issues with status *done*.
     */
    done?: number;
    /**
     * Count of issues with status *in progress*.
     */
    inProgress?: number;
    /**
     * Count of issues with status *to do*.
     */
    toDo?: number;
    /**
     * Count of issues with a status other than *to do*, *in progress*, and *done*.
     */
    unmapped?: number;
    [x: string]: any;
}
//# sourceMappingURL=VersionIssuesStatusAsResponse.d.ts.map