/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { WorkflowSimpleConditionAsResponse } from "../definitions/WorkflowSimpleConditionAsResponse";
import { WorkflowCompoundConditionAsResponse } from "../definitions/WorkflowCompoundConditionAsResponse";
export interface WorkflowConditionAsResponse {
    nodeType?: string;
    /**
     * The compound condition operator.
     */
    operator?: "AND" | "OR";
    /**
     * The workflow conditions.
     */
    conditions?: Array<WorkflowSimpleConditionAsResponse | WorkflowCompoundConditionAsResponse>;
}
//# sourceMappingURL=WorkflowConditionAsResponse.d.ts.map