/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CustomFieldOptionAsResponse } from "../../../../definitions/CustomFieldOptionAsResponse";
import { ErrorStrategyOption } from "../../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIssueCustomFieldOptionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom field option.
     */
    id: string;
}
declare type GetIssueCustomFieldOptionResponseOKType = CustomFieldOptionAsResponse;
export interface GetIssueCustomFieldOptionResponseOK extends GetIssueCustomFieldOptionResponseOKType {
}
export declare type GetIssueCustomFieldOptionResponseError = undefined;
export {};
//# sourceMappingURL=option.d.ts.map