/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ResolutionAsResponse } from "../../definitions/ResolutionAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIssueResolutionsRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetIssueResolutionsResponseOKType = Array<ResolutionAsResponse>;
export interface GetIssueResolutionsResponseOK extends GetIssueResolutionsResponseOKType {
}
export declare type GetIssueResolutionsResponseError = undefined;
export interface GetIssueResolutionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the issue resolution value.
     */
    id: string;
}
declare type GetIssueResolutionResponseOKType = ResolutionAsResponse;
export interface GetIssueResolutionResponseOK extends GetIssueResolutionResponseOKType {
}
export declare type GetIssueResolutionResponseError = undefined;
export {};
//# sourceMappingURL=resolution.d.ts.map