/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PageBeanStringAsResponse } from "../definitions/PageBeanStringAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetLabelsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The index of the first item to return in a page of results (page offset).
     */
    startAt?: number;
    /**
     * The maximum number of items to return per page.
     */
    maxResults?: number;
}
declare type GetLabelsResponseOKType = PageBeanStringAsResponse;
export interface GetLabelsResponseOK extends GetLabelsResponseOKType {
}
export declare type GetLabelsResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map