/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { StatusDetailsAsResponse } from "../../definitions/StatusDetailsAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetWorkflowStatusesRequest extends HeadersOption, ErrorStrategyOption {
}
declare type GetWorkflowStatusesResponseOKType = Array<StatusDetailsAsResponse>;
export interface GetWorkflowStatusesResponseOK extends GetWorkflowStatusesResponseOKType {
}
export declare type GetWorkflowStatusesResponseError = undefined;
export interface GetWorkflowStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID or name of the status.
     */
    idOrName: string;
}
declare type GetWorkflowStatusResponseOKType = StatusDetailsAsResponse;
export interface GetWorkflowStatusResponseOK extends GetWorkflowStatusResponseOKType {
}
export declare type GetWorkflowStatusResponseError = undefined;
export {};
//# sourceMappingURL=status.d.ts.map